chrono File Reference
Utilities » Time

Go to the source code of this file.

## Namespaces

| std
| std::chrono
| std::literals
| std::literals::chrono_literals

## Macros

#define | _GLIBCXX_CHRONO

## Typedefs

using | std::chrono::__detail::__months_years_conversion_disambiguator = void
using | std::chrono::gps_seconds = gps_time< seconds >
template<typename _Duration >
using | std::chrono::gps_time = time_point< gps_clock, _Duration >
using | std::chrono::local_days = local_time< days >
using | std::chrono::local_seconds = local_time< seconds >
template<typename _Duration >
using | std::chrono::local_time = time_point< local_t, _Duration >
using | std::chrono::tai_seconds = tai_time< seconds >
template<typename _Duration >
using | std::chrono::tai_time = time_point< tai_clock, _Duration >
using | std::chrono::utc_seconds = utc_time< seconds >
template<typename _Duration >
using | std::chrono::utc_time = time_point< utc_clock, _Duration >

## Functions

constexpr unsigned | std::chrono::__detail::__modulo (long long __n, unsigned __d)
consteval long long | std::chrono::__detail::__pow10 (unsigned __n)
constexpr bool | std::chrono::is_am (const hours &__h) noexcept
constexpr bool | std::chrono::is_pm (const hours &__h) noexcept
constexpr hours | std::chrono::make12 (const hours &__h) noexcept
constexpr hours | std::chrono::make24 (const hours &__h, bool __is_pm) noexcept
constexpr chrono::day | std::literals::chrono_literals::operator""d (unsigned long long __d) noexcept
constexpr chrono::year | std::literals::chrono_literals::operator""y (unsigned long long __y) noexcept
template<typename _CharT , typename _Traits , typename _Rep , typename _Period >
basic_ostream< _CharT, _Traits > & | std::chrono::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const duration< _Rep, _Period > &__d)

## Variables

constexpr unsigned | std::chrono::__detail::__days_per_month [12]
constexpr month | std::chrono::April
constexpr month | std::chrono::August
constexpr month | std::chrono::December
constexpr month | std::chrono::February
constexpr weekday | std::chrono::Friday
template<>
constexpr bool | std::chrono::is_clock_v< gps_clock >
template<>
constexpr bool | std::chrono::is_clock_v< tai_clock >
template<>
constexpr bool | std::chrono::is_clock_v< utc_clock >
constexpr month | std::chrono::January
constexpr month | std::chrono::July
constexpr month | std::chrono::June
constexpr last_spec | std::chrono::last
constexpr month | std::chrono::March
constexpr month | std::chrono::May
constexpr weekday | std::chrono::Monday
constexpr month | std::chrono::November
constexpr month | std::chrono::October
constexpr weekday | std::chrono::Saturday
constexpr month | std::chrono::September
constexpr weekday | std::chrono::Sunday
constexpr weekday | std::chrono::Thursday
constexpr weekday | std::chrono::Tuesday
constexpr weekday | std::chrono::Wednesday

## Detailed Description

This is a Standard C++ Library header.

Definition in file chrono.